<div class="card-body p-0">
  <form id="kt_modal_new_target_form" class="form fv-plugins-bootstrap5 fv-plugins-framework">
    <div class="row" style="padding-right: 0!important; margin-right: 0!important;">

      <div class="col-12 col-sm-12 col-lg-10">
        <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2">
            <span class="required">Nome</span>
          </label>
          <!--end::Label-->
          <input type="text" [(ngModel)]="serviceStorage.IObjectClass.name" id="nameArmazem" name="description"
                 class="form-control form-control-sm" placeholder="insira o nome do armazém">
          <div class="fv-plugins-message-container invalid-feedback"></div>
        </div>
      </div>
      <div class="col-12 col-sm-12 col-lg-3">
        <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2">
            <span class="required">Ref.</span>
          </label>
          <!--end::Label-->
          <input type="text" [(ngModel)]="serviceStorage.IObjectClass.codigo" id="codigo" name="codigo"
                 class="form-control form-control-sm" placeholder="Insira a referência" maxlength="6">
          <div class="fv-plugins-message-container fs-sm-8 fs-5 text-gray-500 mx-5"><span>Ex:</span> GBA-01</div>
        </div>
      </div>
      <div class="col-12 col-sm-12 col-lg-4">
        <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6  mb-2">
            <span class="">Capacidade Minima</span>
          </label>
          <!--end::Label-->
          <input type="number" [(ngModel)]="serviceStorage.IObjectClass.min" id="min" name="min"
                 class="form-control form-control-sm" placeholder="Insira o mínimo a restar " maxlength="6">
          <div class="fv-plugins-message-container fs-sm-8 fs-5 text-gray-500 mx-5"><span>Ex:</span> GBA-01</div>
        </div>
      </div>
      <div class="col-12 col-sm-12 col-lg-5">
        <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6  mb-2">
            <span class="">Capacidade Maxima</span>
          </label>
          <!--end::Label-->
          <input type="number" [(ngModel)]="serviceStorage.IObjectClass.max" id="max" name="max"
                 class="form-control form-control-sm" placeholder="Insira o máximo armazenamento" maxlength="6">
          <div class="fv-plugins-message-container fs-sm-8 fs-5 text-gray-500 mx-5"><span>Ex:</span> GBA-01</div>
        </div>
      </div>


      <div class="col-12 col-sm-12 col-lg-12 col-xl-12 col-xxl-8">

        <div class="col-12 col-sm-12">
          <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container" id="addressLocal">
            <!--begin::Label-->
            <label class="d-flex align-items-center fs-6 fw-bold mb-2">
              <span class="required">Endereço</span>
            </label>
            <!--end::Label-->
            <input type="text" class="form-control form-control-sm " placeholder="Endereço do armazém"
                   id="address">

            <div class="fv-plugins-message-container invalid-feedback"></div>
          </div>
        </div>

        <div class="row">
          <div class="col-12 col-sm-12 col-md-5 col-xl-3">
            <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
              <!--begin::Label-->
              <label class="d-flex align-items-center fs-6 fw-bold mb-2">
                <span class="required">Armário</span>
              </label>
              <!--end::Label-->
              <input type="text" class="form-control form-control-sm " placeholder="Introduza o armario"
                     name="ambry" [(ngModel)]="this.ambry" id="ambryArmazem" size="20" maxlength="20"
                     style="text-transform:uppercase">
              <div class="fv-plugins-message-container small text-muted">Ex: A001, ou Ala A, B, C etc.</div>
            </div>
          </div>

          <div class="col-12 col-sm-12 col-md-7 col-xl-7">
            <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container" id="prateleiras">
              <!--begin::Label-->
              <label class="d-flex align-items-center fs-6 fw-bold mb-2">
                <span class="required">Prateleiras</span>
              </label>
              <!--end::Label-->
              <input type="text" class="form-control form-control-sm " placeholder="Introduza as prateleiras"
                     id="shelf">

              <div class="fv-plugins-message-container small text-muted">Ex de prateleira. <span class="text-danger">PRA-001,
                PRA-002, etc ...</span></div>
            </div>
          </div>

          <div class="col-12 col-sm-12 col-md-2 col-sm-auto col-xl-2">
            <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
              <!--begin::Label-->
              <label class="d-flex align-items-center fs-6 mb-2">
                <span class="">&nbsp;</span>
              </label>
              <!--end::Label-->
              <button class="btn btn-sm btn-primary w-100" (click)="add()">Adicionar</button>

            </div>
          </div>
        </div>

        <div class="col-sm-12">
          <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
            <!--begin::Label-->
            <label class="d-flex align-items-center fs-6 mb-2">
              <span class="">Obs</span>
            </label>
            <!--end::Label-->
            <textarea type="text" class="form-control form-control-sm" rows="8"
                      placeholder="Enter Target Title" [(ngModel)]="serviceStorage.IObjectClass.details"
                      name="details"></textarea>
            <div class="fv-plugins-message-container invalid-feedback"></div>
          </div>

        </div>
      </div>

      <div class="col-12 col-sm-12 col-lg-12 col-xl-12 col-xxl-4  h-400px
        border border-top-0 border-right-0 border-bottom-0">

        <div class="overflow-auto w-100">
          <table id="kt_datatable_both_scrolls" class="table table-striped table-row-bordered gy-3 gs-7">
            <thead>
            <tr class="fw-semibold fs-6 text-gray-800">
              <th class="w-auto">Armario</th>
              <th class="w-auto">Nº Pratelairas</th>
              <th class=""></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let a of this.listArmariaShelf">
              <td>{{ a.ambry?.name}}</td>
              <td>
                {{a.shelf[0]?.name }} ...
                {{ a.shelf.length}}
              </td>
              <td style="width: 140px!important;min-width: 140px!important;">
                <button type="button" (click)="deleteList(a)"
                        class="btn btn-icon btn-sm btn-light-danger btn-active-danger w-25px h-25px mx-1 float-end">
                  <span class="svg-icon"> <i class="bi-trash"></i></span>
                </button>
                <button type="button" (click)="editList(a)"
                        class="btn btn-icon btn-sm btn-light-primary btn-active-primary w-25px h-25px mx-1 float-end">
                  <span class="svg-icon"> <i class="fa fa-edit"></i></span>
                </button>

              </td>
            </tr>

            </tbody>
          </table>
        </div>


      </div>

      <div class="separator separator-dashed my-4"></div>
    </div>
    <div class="col-12 mt-2 mb-4">
      <div class="input-group text-right justify-content-end">
        <button type="button" class="btn btn-sm btn-success mr-2" (click)="save()">
          {{ util.SAVE_TEXT }}
        </button>
      </div>
    </div>
  </form>

</div>
